# Class yii\web\UnprocessableEntityHttpException

Inheritance | yii\web\UnprocessableEntityHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0.7
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/UnprocessableEntityHttpException.php

UnprocessableEntityHttpException represents an "Unprocessable Entity" HTTP exception with status code 422.

Use this exception to inform that the server understands the content type of the request entity and the syntax of that request entity is correct but the server was unable to process the contained instructions. For example, to return form validation errors.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\UnprocessableEntityHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.